---
title: <mlabeledtr>
slug: Web/MathML/Element/mlabeledtr
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Tabular Math'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mlabeledtr&gt;</code> element is used to represent a label in a row either on the left or on the right side (determined using the <code>side</code> attribute on the {{ MathMLElement("mtable") }} element). Child elements of <code>&lt;mlabeledtr&gt;</code> must be {{ MathMLElement("mtd") }} elements. The first child is the label whereas all other children are representing row contents and are treated identically to children of {{ MathMLElement("mtr") }} elements.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
	<dt id="attr-class-id-style">class, id, style</dt>
	<dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
	<dt id="attr-columnalign">columnalign</dt>
	<dd>Overrides the horizontal alignment of cells specified by {{ MathMLElement("mtable") }} for this row.<br>
	Possible values are: <code>left</code>, <code>center</code> and <code>right</code>.</dd>
	<dt>groupalign</dt>
	<dt id="attr-href">href</dt>
	<dd>Used to set a hyperlink to a specified URI.</dd>
	<dt id="attr-mathbackground">mathbackground</dt>
	<dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
	<dt id="attr-mathcolor">mathcolor</dt>
	<dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
	<dt id="attr-rowalign">rowalign</dt>
	<dd>Overrides the vertical alignment of cells specified by {{ MathMLElement("mtable") }} for this row.<br>
	Possible values are: <code>axis</code>, <code>baseline</code>, <code>bottom</code>, <code>center</code> and <code>top</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Rendering: <img alt="sample rendering for mlabeledtr" src="/files/3590/mlabeledtr.png" style="margin-left: 10px; vertical-align: middle;"></p>

<pre class="brush: html">&lt;math&gt;
  &lt;mtable&gt;

    &lt;mlabeledtr&gt;
      &lt;mtd&gt;&lt;mn&gt;1&lt;/mn&gt;&lt;/mtd&gt; &lt;!-- label --&gt;
      &lt;mtd&gt;&lt;mi&gt;A&lt;/mi&gt;&lt;/mtd&gt;
      &lt;mtd&gt;&lt;mi&gt;B&lt;/mi&gt;&lt;/mtd&gt;
    &lt;/mlabeledtr&gt;

    &lt;mtr&gt;
      &lt;mtd&gt;&lt;mi&gt;C&lt;/mi&gt;&lt;/mtd&gt;
      &lt;mtd&gt;&lt;mi&gt;D&lt;/mi&gt;&lt;/mtd&gt;
      &lt;mtd&gt;&lt;mi&gt;E&lt;/mi&gt;&lt;/mtd&gt;
    &lt;/mtr&gt;

  &lt;/mtable&gt;
&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('MathML3', 'chapter3.html#presm.mlabeledtr', 'mlabeledtr') }}</td>
			<td>{{ Spec2('MathML3') }}</td>
			<td>Current specification</td>
		</tr>
		<tr>
			<td>{{ SpecName('MathML2', 'chapter3.html#presm.mlabeledtr', 'mlabeledtr') }}</td>
			<td>{{ Spec2('MathML2') }}</td>
			<td>Initial specification</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>


<p>{{Compat("mathml.elements.mlabeledtr")}}</p>


<h2 id="Gecko-specific_notes">Gecko-specific notes</h2>

<p>Starting with Gecko 9.0 {{ geckoRelease("9.0") }} labels are hidden by default (<code>mlabeledtr &gt; mtd:first-child {display: none}</code>) and will longer break the table rendering completely (see {{ bug("356870") }}). For the actual implementation of this element see {{ bug("689641") }}.</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{ MathMLElement("mtable") }} (Table)</li>
	<li>{{ MathMLElement("mtd") }} (Table cell)</li>
	<li>{{ MathMLElement("mtr") }} (Table row)</li>
</ul>
